<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Streaming Dashboard ATEM Relay</title>
    <meta http-equiv="Content-Security-Policy" content="script-src 'self' 'unsafe-inline';" />
    <link href="css/bootstrap.min.css" rel="stylesheet" />
    <script src="js/bootstrap.bundle.min.js"></script>
</head>
<body style="background: white;">
    <div class="container">
        <div class="row">
            <div class="col">
                <h1>Streaming Dashboard ATEM Relay</h1>
            </div>
        </div>
        <!--p>
            We are using node <script>document.write(process.versions.node)</script>,
            Chrome <script>document.write(process.versions.chrome)</script>,
            and Electron <script>document.write(process.versions.electron)</script>.
        </p-->
        <div class="row mb-3">
            <div class="col-3 text-end">Auto Startup:</div>
            <div class="col">
                <input type="checkbox" value="true" id="autolaunch" class="form-check-input" disabled/>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-3 text-end">ATEM Status:</div>
            <div class="col">
                <span id="atemstatus">Unknown</span>
                <button id="atemToggle" style="display:none;" class="btn btn-primary btn-sm">Connect</button>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-3 text-end">Current IP:</div>
            <div class="col">
                <span id="atemip">None</span>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-3 text-end">ATEM Config:</div>
            <div class="col">
                <div class="mb-3">
                    <label for="atemMode" class="form-label">Connection Mode</label>
                    <select id="atemMode" class="form-select">
                        <option value="static">Static IP</option>
                        <option value="mdns">Name</option>  
                    </select>
                </div>
                <div>
                    <label for="atemNamePicker" class="form-label">Name</label>
                    <div class="input-group">
                        <select id="atemNamePicker" class="form-select">
                            <option value="" disabled>None</option>    
                        </select>
                        <button class="btn btn-outline-secondary" id="rediscover">ReDiscover</button>
                    </div>
                </div>
                <div>
                    <label for="atemIPSet" class="form-label">IP Address</label>
                    <input class="form-control" id="atemIPSet" placeholder="?.?.?.?" />
                </div>
                
            </div>
        </div>
        <div class="row d-none" id="atemInfo">
            <div class="col-3 text-end">ATEM Info:</div>
            <div class="col">
                Product: <span id="atemProduct"></span>
            </div>
        </div>
    </div>

    <script src="renderer.js"></script>
</body>
</html>
